DS Server

POST /admin/users/{username}/password

Endpoint

POST https://example.com/admin/users/{username}/password

Description

Updates the password of the given username with a new password.

Examples

This sample changes the admin password to a new given password.

# Request:
curl --location --request POST 'https://trial.dsserver.io/admin/users/admin/password' \
    --header 'Authorization: Basic YWRtaW46YWRtaW4=' \
    --header 'Content-Type: application/json' \
    --data-raw '{
            "newPassword": "newpassword"
        }'

# Response:
HTTP/1.1 200 OK

Authorization

This endpoint supports the Basic authorization method:

Basic

Header fieldDescription
AuthorizationThe username "admin" and your admin password are combined into a string separated by a colon, e.g.: admin:password. The resulting string is encoded using the RFC2045-MIME variant of Base64, except not limited to 76 char/line. The authorization method and a space i.e. "Basic " is then put before the encoded string. For example: Authorization: Basic QWxhZGRpbjpPcGVuU2VzYW1l

Request Payload

TypeValue
AdminPasswordUpdateThe AdminPasswordUpdate object contains the new password.

AdminPasswordUpdate

NameTypeValueOptional
newPasswordStringThe new password. Minimum character length is 8.no

Success Response

StatusDescription
200On success, the HTTP status code in the response header is 200 (OK).

Error Response

StatusDescription
401A 401 (Unauthorized) is returned, if the user is not authorized.
400A 400 (Bad Request) is returned, if the password could not be updated or the password doesn't fulfill the minimum requirements. A password shorter than 8 characters returns the plain text "New password must be at least 8 characters long."
404A 404 (Not Found) is returned, if the given username doesn't exist. The only user is "admin".